# Hue Samples
Web+DB Press vol.83 (2014年10月発売) 用サンプルコード

- Ruby 2.0以上が必要
- hue gemを使う


## 依存ライブラリをインストール

    % gem install bundler
    % bundle install


## 電球をランダムに光らせる

    % ruby hue_random.rb


## 天気をhueで表示する

今日雨が降るなら青、降らないなら赤く点灯する

    % ruby weather_hue.rb


## がんばっている感を共有する

### shellのヒストリを追ってnode-lindaサーバーに送信する

    # bash用
    % ruby shell_sender_bash.rb

    # zsh用
    % ruby shell_sender_zsh.rb


### 各shellの設定

それぞれshellのヒストリ書き出し方法の設定が必要です

- .bashrcに `PROMPT_COMMAND='history -a` を追加
- .zshrcに `setopt share_history` を追加


### node-lindaサーバーから受信してhueを操作する

    % ruby shell_receiver.rb

