require 'hue'
require 'weather-report'

weather = WeatherReport.get '東京'

light = Hue::Client.new.lights[0] # 0番目の電球を使う

light.on = true
light.saturation = 80
light.brightness = 255

if weather.today.umbrella?
  light.hue = 47000 # 青
else
  light.hue = 60000 # 赤
end
